Ryzom - Bug # 1310

Status: Closed Priority: Normal
Author: dfighter Category: Build
Created: 06/03/2011 Assignee: kervala
Updated: 12/07/2011 Due date:

Subiject: Broken build with VS 2k8 nmake

Description

Hi there, the build seems to be broken with VS 2k8 nmake

e:\projects\ryzom_new\ryzom\code\build>nmake

Microsoft (R) Program Maintenance Utility Version 9.00.30729.01
Copyright (C) Microsoft Corporation. All rights reserved.

Scanning dependencies of target nelmisc_pch_dephelp

[ 0%] Building CXX object nel/src/misc/CMakeFiles/nelmisc_pch_dephelp.dir/stdmi
sc.cpp.obj

stdmisc.cpp

E:\projects\ryzom_new\ryzom\code\nel\src\misc\stdmisc.cpp : fatal error C1083: C
annot open precompiled header file: 'E:/projects/ryzom_new/ryzom/code/build/nel/
src/misc/stdmisc.pch': No such file or directory

NMAKE : fatal error U1077: 'e\PROGRA~2\MICROS~2.0\VC\bin\cl.exe' : return code
'0x2'

Stop.

NMAKE : fatal error U1077: "e:\Program Files (x86)\Microsoft Visual Studio 9.0\
VC\BIN\nmake.exe™ : return code '0x2'

Stop.

NMAKE : fatal error U1077: "e:\Program Files (x86)\Microsoft Visual Studio 9.0\
VC\BIN\nmake.exe™ : return code '0x2'

Stop.

e:\projects\ryzom_new\ryzom\code\build>

My CMake cache http://pastebin.com/ATcMwjdz

However with VS2k8 IDE it builds fine, so only nmake seems to be affected.

History

#1 - 06/03/2011 09:26 am - kervala
- Status changed from New to Assigned

- Target version set to Version 0.9.0

You're right, thanks :)

The flags to use PCH were added to PCH creation themselfn, so they couldn't find them.

| just removed these flags.
http://pastebin.com/ATcMwjdz

That's working with nmake now.

#2 - 06/09/2011 11:00 am - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r1580.

#3 - 06/09/2011 11:00 am - kervala

Applied in changeset r1581.

#4 - 12/07/2011 02:34 pm - sfb

- Status changed from Resolved to Closed
